elsewhere-accounts resource endpoint
URL: /users/<id>/elsewhere-accounts.<format>
Supported Methods
| GET | Get a list of elsewhere accounts for the selected user. |
Query String Arguments
- start-index
- Index of the first item to return. The first item in the list has index 1.
- max-results
- Maximum number of items to return in the list response.
Resource Type
This endpoint returns an object of type List<Account>.
- entries (array<Account>)
- The items within the selected range.
- totalResults (integer)
- The total number of items in the whole list of which this object is a chunk.
Client Library Methods for PHP
- Get a list of elsewhere accounts for the selected user.
$tp->users->getElsewhereAccounts(array( # Required Parameters "id" => $id, # Optional Parameters "limit" => $limit, "offset" => $offset, ))
Example Request
GET /users/6p012877b13de7970c/elsewhere-accounts.json?max-results=4 HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 1454
{
"entries": [
{
"providerURL": "http://www.twitter.com/",
"urlId": "6a012877b13de7970c012877b165a6970c",
"providerIconURL": "http://static.typepad.com/.shared:v20090616.1:typepad:en_us/images/profile/service_icons/twitter.png",
"crosspostable": true,
"username": "loblawatlaw",
"providerIconUrl": "http://static.typepad.com/.shared:v20090616.1:typepad:en_us/images/profile/service_icons/twitter.png",
"providerName": "Twitter",
"domain": "twitter.com",
"providerUrl": "http://www.twitter.com/",
"url": "http://twitter.com/loblawatlaw",
"id": "tag:api.typepad.com,2009:6a012877b13de7970c012877b165a6970c"
},
{
"providerURL": "http://www.vox.com/",
"urlId": "6a012877b13de7970c0120a8aea727970b",
"providerIconURL": "http://static.typepad.com/.shared:v20090616.1:typepad:en_us/images/profile/service_icons/vox.png",
"crosspostable": false,
"username": "bobloblaw335",
"providerIconUrl": "http://static.typepad.com/.shared:v20090616.1:typepad:en_us/images/profile/service_icons/vox.png",
"providerName": "Vox",
"domain": "vox.com",
"providerUrl": "http://www.vox.com/",
"url": "http://bobloblaw335.vox.com/",
"id": "tag:api.typepad.com,2009:6a012877b13de7970c0120a8aea727970b"
}
],
"totalResults": 2
}